%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}
%global gem_name foretello_api_v21
%global foreman_dir /usr/share/foreman
%global foreman_bundlerd_dir %{foreman_dir}/bundler.d

Summary: Plugin for Foreman & Katello API v2.1, which is based on v2 controllers but uses the response format according to the jsonapi.org specification.
Name: %{?scl_prefix}rubygem-%{gem_name}

Version: 1.1.3
Release: 1%{?dist}
Group: Development/Ruby
License: Distributable
URL: https://github.com/fusor/foretello_api_v21
Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
Requires: foreman >= 1.7.0
Requires: %{?scl_prefix}rubygem-active_model_serializers
BuildRequires: foreman >= 1.7.0
BuildRequires: foreman-assets >= 1.7.0
%if "%{?scl}" == "tfm"
BuildRequires: foreman-plugin >= 1.11.0
%endif

%if ( 0%{?fedora} > 18 || 0%{?rhel} >= 7 ) && "%{?scl}" != "ruby193"
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby(rubygems)
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
%else
Requires: %{?scl_prefix}ruby(abi)
Requires: %{?scl_prefix}ruby(rubygems)
BuildRequires: %{?scl_prefix}ruby(abi)
BuildRequires: %{?scl_prefix}rubygems-devel
%endif
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(foretello_api_v21) = %{version}

%description
Fusor Plugin

%package doc
BuildArch:  noarch
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
Summary:    Documentation for rubygem-%{gem_name}

%description doc
This package contains documentation for rubygem-%{gem_name}.

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} --force %{SOURCE0}
%{?scl:"}

%build

%install

mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%{gem_instdir}/
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_dir}/%{gem_name}.rb

%files doc
%{gem_dir}/doc/%{gem_name}-%{version}

%changelog
* Wed Jan 11 2017 Dylan Murray <dymurray@redhat.com> 1.1.3-1
- 1411363 - Remove extra attribute mistakenly added from foreman model
  (dymurray@redhat.com)

* Tue Jan 10 2017 Dylan Murray <dymurray@redhat.com> 1.1.2-1
- 1411363 - Update domain serializer to match foreman model
  (dymurray@redhat.com)

* Thu Sep 22 2016 Jason Montleon <jmontleo@redhat.com> 1.1.1-1
- update releaser for QCI-1.1 (jmontleo@redhat.com)
- Bump version (jesusr@redhat.com)

* Thu Aug 11 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.1-1
- switch to VersionTagger & template (#19) (jmrodri@gmail.com)

* Fri Aug 05 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-5
- Use processorcount fact for all types of hosts (erik@nsk.io)

* Fri Jul 22 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-4
- rpmdiff: dist should be ?dist (#17) (jmrodri@gmail.com)

* Mon Jul 18 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-3
- fix error on api/v21/domains/:id (jmagen@redhat.com)

* Fri Jun 03 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-2
- lock down ams so 0.10.0 doesn't get installed yet (jmontleo@redhat.com)

* Tue May 17 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-1
- Bump gem and rpm version to 1.0.0 (jmontleo@redhat.com)
- DomainSerializer attribute changed from hosts_count to total_hosts for Sat
  6.2. (chris@chasenc.com)

* Thu Apr 28 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-5
- fixes for satellite-6.2 (jmontleo@redhat.com)
- update releaser (jmontleo@redhat.com)

* Mon Apr 04 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-4
- fixes for satellite-6.2 (jmontleo@redhat.com)
- Disable ArraySerializer root by default and enable per render to fix rhsm
  (jmontleo@redhat.com)

* Fri Apr 01 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-3
- fixes for satellite-6.2 (jmontleo@redhat.com)

* Fri Apr 01 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-2
- require new active_model_serializers to fix candlepin api issues
  (jmontleo@redhat.com)

* Fri Mar 04 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-1
- bump gem version (jmontleo@redhat.com)
- workaround for satellite-6.2 for now (jmontleo@redhat.com)

* Wed Mar 02 2016 Jason Montleon <jmontleo@redhat.com> 0.0.1-20
- add foreman-plugin BuildRequire for newer builds (jmontleo@redhat.com)

* Wed Mar 02 2016 Jason Montleon <jmontleo@redhat.com> 0.0.1-19
- remove active_model_serializers build requires (jmontleo@redhat.com)

* Wed Mar 02 2016 Jason Montleon <jmontleo@redhat.com> 0.0.1-18
- update dependencies (jmontleo@redhat.com)
- comment out dependency apipie-rails until needed (jmagen@redhat.com)
- add dependency apipie-rails to gemspec (jmagen@redhat.com)
- add /apidoc/v21 docs for domains and hostgroups v21 controllers
  (jmagen@redhat.com)
- remove apidocs for media, models, operatingsystems (jmagen@redhat.com)
- /apidoc setup for v21 (jmagen@redhat.com)
- add gemspec description (jmagen@redhat.com)

* Wed Jan 06 2016 John Matthews <jwmatthews@gmail.com> 0.0.1-17
- Fix Foreman 1.7 compatability with host subnets (daviddavis@redhat.com)
- require date for Date.today (jesusr@redhat.com)

* Wed Aug 05 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-16
- added elsif is_discovered just to be sure (jmagen@redhat.com)

* Mon Aug 03 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-15
- put back disk_count that was accidently removed (jmagen@redhat.com)
- use HostBaseSerializer for collection so that Host::Managed and
  Host::Discovered returns correct info even if they are mixed in the
  collection (jmagen@redhat.com)

* Thu Jul 30 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-14
- 

* Wed Jul 29 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-13
- add repository to foreman_task_serializer (jmagen@redhat.com)
- add scoped_search to foreman_tasks controller (jmagen@redhat.com)
- unique errors so 'subtask failed' is not repeated (jmagen@redhat.com)

* Mon Jun 01 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-12
- added prior_id attribute to lifecycle_environment_serializer
  (jmagen@redhat.com)
- added attributes to discovered_host_serializer for memory_human_size,
  disks_human_size, subnet_to_s (jmagen@redhat.com)

* Wed May 13 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-11
- change permission name in engine.rb from edit_discovered_hosts to
  rename_discovered_hosts (jmagen@redhat.com)

* Mon May 11 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-10
- fix error if lifecycle environment is null (jmagen@redhat.com)
- add foreman-tasks v21 serializer (jmagen@redhat.com)
- add cpus to discovered host response (jmagen@redhat.com)
- review previous change to rename method (jmagen@redhat.com)
- change to rename method (jmagen@redhat.com)

* Fri Apr 10 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-9
- remove unnecessary precompile step (jmontleo@redhat.com)

* Fri Apr 10 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-8
- remove foreman-plugin dep, only for foreman > 1.8 (jmontleo@redhat.com)

* Fri Apr 10 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-7
- new package built with tito

* Thu Apr 09 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-6
- add cpus to discovered host response (jmagen@redhat.com)
- review previous change to rename method (jmagen@redhat.com)
- Merge pull request #2 from fusor/rename (jmagen@redhat.com)
- change to rename method (jmagen@redhat.com)

* Tue Apr 07 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-5
- add PUT rename for discovered hosts (jmagen@redhat.com)

* Mon Mar 30 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-4
- remove cpus attribute from DiscoveredHostSerializer (jmagen@redhat.com)

* Mon Mar 30 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-3
- add discovered host controller and serializer (jmagen@redhat.com)

* Fri Mar 20 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-2
- new package built with tito

* Fri Mar 20 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-1
- Initial spec creation
